#include <bits/stdc++.h>
using namespace std;
    ifstream fi("demnt.inp");
    ofstream fo("demnt.out");
long int a[10000],n,i,kt,d=0,j;
int main()
{
    fi>>n;
    for(i=0;i<n;i++)
    {
        fi>>a[i];
        kt=1;
    if(a[i]==2 || a[i]==3 )
    {
        kt=1;
    }
    if(a[i]==1 || a[i]==0)
    {
        kt=0;
    }
    for(j=2;j<=sqrt(a[i]);j++)
    {
        if(a[i]%i==0)
        {
            kt=0;
        }
    }
       if( kt==1)
        d++;
    }
    fo<<d;
    return 0;
}
